io.vertx.rxjava.servicediscovery.types

## Class EventBusService

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.types.EventBusService

-     public class EventBusService
      extends Object

  for event bus services (service proxies). Consumers receive a service proxy to use the service.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBusService(EventBusService delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, String address, String itf, JsonObject metadata)` Sugar method to creates a record for this type.
    `Object` | `getDelegate()`
    `static <T> void` | `getProxy(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<T>> resultHandler)` Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> void` | `getProxy(ServiceDiscovery discovery, JsonObject filter, String proxyClass, Handler<AsyncResult<T>> resultHandler)`
    `static <T> void` | `getProxy(ServiceDiscovery discovery, String itf, Handler<AsyncResult<T>> resultHandler)` Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> void` | `getProxy(ServiceDiscovery discovery, String serviceInterface, String proxyInterface, Handler<AsyncResult<T>> resultHandler)`
    `static <T> Observable<T>` | `getProxyObservable(ServiceDiscovery discovery, JsonObject filter)` Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Observable<T>` | `getProxyObservable(ServiceDiscovery discovery, JsonObject filter, String proxyClass)`
    `static <T> Observable<T>` | `getProxyObservable(ServiceDiscovery discovery, String itf)` Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Observable<T>` | `getProxyObservable(ServiceDiscovery discovery, String serviceInterface, String proxyInterface)`
    `static EventBusService` | `newInstance(EventBusService arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBusService

          public EventBusService(EventBusService delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            String address,
                                            String itf,
                                            JsonObject metadata)

      Sugar method to creates a record for this type.

      The java interface is added to the metadata in the `service.interface` key.

      Parameters:
        `name` - the name of the service.
        `address` - the event bus address on which the service available
        `itf` - the Java interface (name)
        `metadata` - the metadata
      Returns:
        the created record

    - #### getProxy

          public static <T> void getProxy(ServiceDiscovery discovery,
                                          JsonObject filter,
                                          Handler<AsyncResult<T>> resultHandler)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service.
      Parameters:
        `discovery` - the service discovery instance
        `filter` - the filter to select the service
        `resultHandler` - the result handler

    - #### getProxyObservable

          public static <T> Observable<T> getProxyObservable(ServiceDiscovery discovery,
                                                             JsonObject filter)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service.
      Parameters:
        `discovery` - the service discovery instance
        `filter` - the filter to select the service
      Returns:

    - #### getProxy

          public static <T> void getProxy(ServiceDiscovery discovery,
                                          String serviceInterface,
                                          String proxyInterface,
                                          Handler<AsyncResult<T>> resultHandler)

    - #### getProxyObservable

          public static <T> Observable<T> getProxyObservable(ServiceDiscovery discovery,
                                                             String serviceInterface,
                                                             String proxyInterface)

    - #### getProxy

          public static <T> void getProxy(ServiceDiscovery discovery,
                                          JsonObject filter,
                                          String proxyClass,
                                          Handler<AsyncResult<T>> resultHandler)

    - #### getProxyObservable

          public static <T> Observable<T> getProxyObservable(ServiceDiscovery discovery,
                                                             JsonObject filter,
                                                             String proxyClass)

    - #### getProxy

          public static <T> void getProxy(ServiceDiscovery discovery,
                                          String itf,
                                          Handler<AsyncResult<T>> resultHandler)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. A filter based on the request interface is used.
      Parameters:
        `discovery` - the service discovery instance
        `itf` - the service interface
        `resultHandler` - the result handler

    - #### getProxyObservable

          public static <T> Observable<T> getProxyObservable(ServiceDiscovery discovery,
                                                             String itf)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. A filter based on the request interface is used.
      Parameters:
        `discovery` - the service discovery instance
        `itf` - the service interface
      Returns:

    - #### newInstance

          public static EventBusService newInstance(EventBusService arg)

Copyright © 2016. All rights reserved.